package cn.ibizhub.demo.demo.service.impl;

import cn.ibizhub.demo.demo.domain.MANYET;
import cn.ibizhub.demo.demo.service.MANYETService;
import cn.ibizhub.demo.demo.dao.MANYETDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 实体[MANYET] 服务对象接口实现
 */
@Service
public class MANYETServiceImpl implements MANYETService{

    @Autowired
    private MANYETDao manyetdao;

    public void addMANYET (MANYET manyet){
        manyetdao.save(manyet);
    }
    public void deleteMANYET (MANYET manyet){
        manyetdao.delete(manyet);
    }
    public void updateMANYET (MANYET manyet){
        manyetdao.save(manyet);
    }
    public List<MANYET> selectMANYETall (){
        return manyetdao.findAll();
    }
    public MANYET selectMANYET (String id){
        return manyetdao.findById(id).get();
    }

    public List<MANYET> findByManyetnameContaining(String param){
        return manyetdao.findByManyetnameContaining(param);
    }

    public List<MANYET> findByOneetid(String param){
        return manyetdao.findByOneetid(param);
    }


}